Bug 96192 - Add Personal Information Manager (PIM) core module to LibreOffice
Summary: Add Personal Information Manager (PIM) core module to LibreOffice
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2015-12-01 22:28 UTC by Óvári
Modified: 2017-08-22 11:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2015-12-01 22:28:11 UTC
https://forum.openoffice.org/en/forum/viewtopic.php?t=575

Please add Personal Information Manager (PIM) core module to LibreOffice

Thank you
Comment 1 V Stuart Foote 2015-12-02 04:09:40 UTC
My perspective--out of scope and of limited utility... at best merits an extension that would require continual care to maintain "compatibility" with the myriad of FOSS, freeware and commercial software in various stages of life.

Of course what would greatly facilitate this and similar data driven frameworks will be the completion of the LO migration to Firebird replacing HSQLDB as our embedded SQL database.  The front end "skinning" needed for PIM, bibliography, collection management etc. gets much simpler when embedded database is again robust.

But what the heck--over to ux-advise, anyone else have a perspective on adding this as a core function?
Comment 2 Heiko Tietze 2015-12-02 08:27:39 UTC
Forum thread dates back to the bronze age. It starts with Outlook, which was abandoned for good reasons (general tendency is to have simple apps for special tasks; in Linux terminology: KISS). Brainstorming myself I think access to the address-book supports writing serial letters. But that's all I can imagine - and it's not the primary use-case of LibO. So I strongly agree with the out-of-scope opinion.
Comment 3 Dennis Roczek 2015-12-02 08:49:03 UTC
Heiko: yeah, at least an address book would be really cool and a very good start. I hate Thunderbird's address book (but also Outlook's). Integrating a good address book with possibility to sync to webdav, ldap, google, etc. would be really cool. At the end there is room afterwards to integrate more, but this has time. An address book is very likely the first step as it can already be used in existing applications (mail merge).
Comment 4 Óvári 2015-12-02 09:37:38 UTC
Dennis Roczek Comment 3:

1. Suggest it be called "Contacts" not "Address Book" as it can include non-address fields such as birthday, categories, notes, photo.

2. Contacts module integrated with LibreOffice would be great even if it did not sync to webdav, ldap, google, etc.
Comment 5 Heiko Tietze 2015-12-02 12:08:37 UTC
Haven't tried but, as Stuart suggests, a plugin solution [1] for a feature that is not in our primary use case makes sense. More than a built-in function.

[1] http://www.vnssrl.it/en/download/odf-address-book
Comment 6 Robinson Tryon (qubit) 2016-08-25 05:39:04 UTC Comment hidden (obsolete)
Comment 7 Heiko Tietze 2017-08-22 11:37:12 UTC
The out-of-scope assessment wasn't challenged much, and there is no use case beyond nice-to-have. So closing the ticket as WF with the suggestion to implement this feature as extension.